.scene {
    width: 100%;
}

.scene::after {
    position: absolute;
    content: '';
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background: url(../images/top_mask.png) no-repeat;
    background-size: contain;
    z-index:10;
}

.scene video {
    width: 100%;
    display: block;
}

.scene .tips {
    position: absolute;
    display: flex;
    justify-content: center;
    z-index: 20;
    pointer-events: none;
    cursor: pointer;
}

.scene .tips:hover {
    pointer-events: all;
}

.scene .tips .circle {
    position: relative;
    margin-top: 0.3vw;
    width: 1.2vw;
    height: 1.2vw;
    background: #fff;
    border: 0.5vw solid rgba(17, 95, 159, 1);
    transform: rotate(45deg);
    pointer-events: all;
    z-index: 10;
}

.scene .tips .circle .top {
    position: absolute;
    width: 100%;
    height: 100%;
    background: #fff;
    z-index: 10;
}

.scene .tips .circle::before,
.scene .tips .circle::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(1);
    width: 1vw;
    height: 1vw;
    background: rgba(17, 95, 159, 0.5);
    z-index: 1;
}

.scene .tips .circle::before {
    animation: circleAnim 3s .75s infinite;
}

.scene .tips .circle::after {
    animation: circleAnim 3s infinite;
}

@keyframes circleAnim {
    0% {
        transform: translate(-50%, -50%) scale(1);
        opacity: 0
    }

    20% {
        opacity: 1
    }

    75% {
        transform: translate(-50%, -50%) scale(2.5);
        opacity: 0
    }

    100% {
        opacity: 0
    }
}

.scene .tips .content {
    position: relative;
    opacity: 1;
    font-size: 0.8vw;
    font-weight: bold;
    width: auto;
    padding: 0 1vw;
    color: #333;
    margin-left: 1.5vw;
    transition: all 0.5s;
    white-space: nowrap;
}

.scene .tips .content {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    opacity: 0;
}

.scene .tips:hover .content {
    transition: all 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    opacity: 1;
}

.scene .tips .content::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 1.8vw;
    height: 1.8vw;
    background: url(../images/arr_left.svg) no-repeat;
    background-size: contain;
}

.scene .tips .content span {
    position: relative;
    display: inline-block;
    color: #fff;
    background: rgba(18, 92, 160, 1);
    padding: 0 1vw;
    line-height: 1.8vw;
    width: auto;
    font-weight: normal;
}

.scene .tips .content::after {
    content: '';
    position: absolute;
    right: -0.8vw;
    top: 0;
    width: 1.8vw;
    height: 1.8vw;
    background: url(../images/arr_right.svg) no-repeat;
    background-size: contain;
}

.t1 {
    left: 11.1vw;
    top: 10vw;
}

.t2 {
    left: 9vw;
    top: 28vw;
}

.t3 {
    left: 24vw;
    top: 13vw;
}

.t4 {
    left: 42vw;
    top: 6vw;
}

.t5 {
    left: 31vw;
    top: 40vw;
}

.t6 {
    left: 61.5vw;
    top: 10.5vw;
}

.t7 {
    left: 89vw;
    top: 10vw;
}

.t8 {
    left: 84vw;
    top: 20vw;
}

.t9 {
    left: 79vw;
    top: 28vw;
}

.t10 {
    left: 89vw;
    top: 28vw;
}

#mobile canvas {
    width: 100vw;
    height: 178.75vw;
}

.style__canvas{
    position: relative !important;
}

.style__unmuteButton {
    display: none !important;
}

@media (max-width: 640px) {
    .scene {
        height: 178.75vw;
    }
    .scene .tips {
        pointer-events: all;
    }

    .scene .tips .content {
        position: relative;
        left: -3vw;
        top: 0vw;
    }

    .scene .tips .circle {
        margin-top: 1.6vw;
        width: 3vw;
        height: 3vw;
    }

    .scene .tips .circle::before,
    .scene .tips .circle::after {
        width: 3vw;
        height: 3vw;
    }

    .scene .tips .content {
        font-size: 3vw;
        padding: 0 3.7vw;
        margin-left: 3vw;
    }

    .scene .tips .content span {
        background: rgba(18, 92, 160, 0.8);
    }

    .scene .tips .content::before,
    .scene .tips .content::after {
        opacity: 0.8;
    }

    .scene .tips .circle {
        border-width: 1.3vw;
    }

    .scene .tips .content span {
        line-height: 6vw;
    }

    .scene .tips .content::before,
    .scene .tips .content::after {
        width: 4.5vw;
        height: 6vw;
    }

    .t1 {
        left: 11vw;
        top: 55vw;
    }

    .t2 {
        left: 9vw;
        top: 130vw;
    }

    .t3 {
        left: 17vw;
        top: 107vw;
    }

    .t4 {
        left: 32vw;
        top: 74vw;
    }

    .t5 {
        left: 35vw;
        top: 149vw;
    }

    .t6 .content span,
    .t7 .content span,
    .t8 .content span,
    .t9 .content span,
    .t10 .content span {
        transform: scaleX(-1);
    }

    .t6 {
        left: auto;
        right: 28vw;
        top: 94vw;
        transform: scaleX(-1);
    }

    .t7 {
        left: auto;
        right: 10vw;
        top: 54vw;
        transform: scaleX(-1);
    }

    .t8 {
        left: auto;
        right: 27vw;
        top: 26vw;
        transform: scaleX(-1);
    }

    .t9 {
        left: auto;
        right: 40vw;
        top: 44vw;
        transform: scaleX(-1);
    }

    .t10 {
        left: auto;
        right: 64vw;
        top: 88vw;
        transform: scaleX(-1);
    }

    .scene .tips .content {
        opacity: 1;
    }
}